Subject: Re: [net-next PATCH 2/8] octeontx2-pf: Add ethtool priv flag to control PAM4 on/off

From: Andrew Lunn <[email-masked]>
Date: Sun, 21 Mar 2021 15:27:56 +0100

On Sun, Mar 21, 2021 at 05:39:52PM +0530, Hariprasad Kelam wrote:
> From: Felix Manlunas <[email-masked]>
> 
> For PHYs that support changing modulation type (NRZ or PAM4), enable these
> commands:
> 
>         ethtool --set-priv-flags  ethX pam4 on
>         ethtool --set-priv-flags  ethX pam4 off    # means NRZ modulation
>         ethtool --show-priv-flags ethX

Why is this not derived from the link mode? How do other Vendors
support this in their high speed MAC/PHY combinations.

Please stop using priv flags like this. This is not a Marvell specific
problem. Any high speed MAC/PHY combination is going to need some way
to configure this. So please think about the best generic solution.

This combined with your DSA changes give me a bad feeling. It seems
like you are just trying to dump your SDK features into the kernel,
without properly integrating the features in a vendor neutral way.

	Andrew